Bug 1412289 - Generate notification for Service Provisioning error in automate
Summary: Generate notification for Service Provisioning error in automate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: William Fitzgerald
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1411990
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 16:54 UTC by Satoe Imaishi
Modified: 2017-02-27 19:21 UTC (History)
4 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411990
Environment:
Last Closed: 2017-02-27 19:21:24 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-11 21:30:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/995e2fd74a9f4d0401757bfcc97b942ade05ae5e

commit 995e2fd74a9f4d0401757bfcc97b942ade05ae5e
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Dec 15 14:48:23 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 11 16:29:35 2017 -0500

    Merge pull request #12306 from billfitzgerald0120/notify_service
    
    Automate - Notification for Service Provisioning error.
    (cherry picked from commit e68e228816a2a28f8f53f76ec305fdc6ad028439)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412289

 .../__methods__/update_serviceprovision_status.rb          |  5 +++++
 .../update_service_provision_status_orchestration_spec.rb  | 14 ++++++++++++++
 2 files changed, 19 insertions(+)

Comment 3 Milan Falešník 2017-01-25 15:26:32 UTC
Verified in 5.7.1.0 against 5.7.0.17.

When tweaking the service automate model to fail, it throws a notification about it.

Comment 5 errata-xmlrpc 2017-02-27 19:21:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.